* {
    box-sizing: border-box;
}

body {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    color: #555555;
    background-color: #fff;
    font-size: 16px;
    padding: 0;
    margin: 0;
}

header {
    background-color: #C47318;
    padding: 12px 0;
}

nav {
    background-color: #C47318;
    padding: 0 !important;
}

#menu-principal {
    a {
        span {
            color: #fff;
            font-weight: 700;
        }
    }
}


ul.icon-list {
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;
    gap: 15px;
}

ul.icon-list li {
    display: inline;
}

ul.icon-list li a {
    text-decoration: none;
    color: inherit;
    font-size: 24px;
}

section {
    padding: 48px 0;

    &:first-of-type{
        padding-top: 0;
    }

    &.dark-theme{
        .box-noticias{
            background-color: unset;

            .title-box{
                i, h2{
                    color: #FFE0BD;
                }
            }

            .post-info{
                h2, span{
                    color: #FFE0BD;
                }

                p{
                    color: #fff;
                }
            }
        }
    }
}

/* box ultimas*/
.box-last-news {
    .second-column{
        gap: 16px;
    }
    a{
        text-decoration: none;
    }

    .primary-news {
        display: flex;
        gap: 12px;

        @media screen and (max-width: 768px) {
            flex-direction: column;
        }

        figure {
            max-width: 424px;
            max-height: 308px;
            min-width: 424px;
            min-height: 308px;
            display: flex;
            align-items: center;
            justify-content: center;
            overflow: hidden;

            @media screen and (max-width: 768px) {
                max-width: 100%;
                min-width: unset;
                min-height: unset;
                max-height: 250px;
            }

            img {
                object-fit: contain;
            }
        }

        .post-info {
            display: flex;
            flex-direction: column;
            gap: 8px;

            h2, h1 {
                font-size: 24px;
                line-height: 130%;
                font-weight: 700;
                color: #333;
                margin: 0;
                padding: 0;
            }
            span{
                color: #C47318;
                font-size: 12px;
                font-weight: 700;
                letter-spacing: 4px;
                text-transform: uppercase;
            }

            p{
                color: #333;
                font-size: 14px;
                line-height: 150%;
                font-weight: 400;
                display: -webkit-box;
                -webkit-box-orient: vertical;
                -webkit-line-clamp: 3;
                text-overflow: ellipsis;
                overflow: hidden;
                margin: 0;
                padding: 0;
            }
        }
    }

    .secondary-news{
        display: flex;
        gap: 8px;

        @media screen and (max-width: 768px) {
            flex-direction: column;    
        }

        figure {
            max-width: 170px;
            max-height: 125px;
            min-width: 170px;
            min-height: 125px;
            display: flex;
            align-items: center;
            justify-content: center;
            overflow: hidden;

            @media screen and (max-width: 768px) {
                max-width: 100%;
            }

            img {
                object-fit: contain;
                height: 100%;
            }
        }

        .post-info {
            display: flex;
            flex-direction: column;
            gap: 8px;

            h2 {
                font-size: 16px;
                line-height: 130%;
                font-weight: 700;
                color: #333;
                margin: 0;
                padding: 0;
				display: -webkit-box;
                -webkit-box-orient: vertical;
                -webkit-line-clamp: 4;
                text-overflow: ellipsis;
                overflow: hidden;
            }
            span{
                color: #C47318;
                font-size: 12px;
                font-weight: 700;
                letter-spacing: 4px;
                text-transform: uppercase;
            }

            p{
                color: #333;
                font-size: 14px;
                line-height: 150%;
                font-weight: 400;
                display: -webkit-box;
                -webkit-box-orient: vertical;
                -webkit-line-clamp: 3;
                text-overflow: ellipsis;
                overflow: hidden;
                margin: 0;
                padding: 0;
            }
        }
    }
}

.row-posts{
    a{
        text-decoration: none;
    }
    article{
        figure{
            max-width:100%;
            min-height: 200px;
            max-height: 200px;
            overflow: hidden;
            display: flex;
            align-items: center;
            justify-content: center;

            img{
                object-fit: contain;
                height: 100%;
            }
        }

        .post-info {
            display: flex;
            flex-direction: column;
            gap: 8px;

            h2 {
                font-size: 16px;
                line-height: 130%;
                font-weight: 700;
                color: #333;
                margin: 0;
                padding: 0;
            }
            span{
                color: #C47318;
                font-size: 12px;
                font-weight: 700;
                letter-spacing: 4px;
                text-transform: uppercase;
            }
        }
    }
}

/* box notícias */
.title-box {
    gap: 4px;
    margin-bottom: 16px;
    
    > h2 {
        color: #C47318;
        font-size: 20px;
        font-weight: 700;
        line-height: 130%;
        margin: 0;
        padding: 0;
        text-transform: uppercase;
    }

    > i {
        color: #C47318;
    }
}

.box-noticias {
    padding: 16px;
}




.post-list {
    display: flex;
    flex-direction: column;
    gap: 24px;

    .post-item {
        display: flex;
        gap: 8px;
        flex-direction: row;

        figure {
            width: 170px;
            height: 125px;
            overflow: hidden;

            img {
                object-fit: contain;
                height: 100%;
            }
        }
    }

    .post-content {
        h3 {
            font-size: 16px;
            font-weight: 700;
            margin: 0;

            a {
                color: #323A79;
                text-decoration: none;
            }
        }

        p {
            font-size: 14px;
            font-weight: 400;
            color: #555555;
            margin: 0;
            overflow: hidden;
            display: -webkit-box;
            -webkit-line-clamp: 3;
            line-clamp: 3;
            -webkit-box-orient: vertical;
        }
    }
}

.publi {
    padding-top: 32px;
    padding-bottom: 32px;
}

.publis {
    padding-top: 16px;
    padding-bottom: 16px;
}

footer {
    background-color: #333333;
    color: #fff;

    .institucional {
        padding: 40px 0;
        border-bottom: 1px solid #C47318;

        > div {
            @media screen and (max-width: 768px){
                flex-direction: column;
                gap: 32px;
            }
        }
    }

    .copyright {
        padding: 8px 0;

        > div {
            @media screen and (max-width: 768px){
                flex-direction: column-reverse;
                gap: 32px;
            }
        }

        p {
            margin: 0;
            text-align: center;
        }
    }

    .menu-rodape {
        display: flex;
        flex-direction: row;
        gap: 24px;
        margin: 0;
        padding: 0;
        list-style: none;

        @media screen and (max-width: 768px){
            justify-content: center;
        }

        li {
            a {
                font-size: 16px;
                font-weight: 700;
                color: #fff;
                text-decoration: none;
            }
        }
    }
}

footer a {
    color: #fff;
}


.single-post-container {
    article {

        h1 {
            font-size: 36px;
            font-weight: 700;
            color: #333;
            margin: 0;
        }

        figure {
            max-width: 100%;
            overflow: hidden;
            max-height: 300px;
            display: flex;
            align-items: center;
            justify-content: center;
            margin: 32px 0;
			position: relative;
			flex-direction: column;
			
			figcaption{
			position: absolute;
    bottom: 0;
    background: rgba(0, 0, 0, .7);
    color: white;
    font-size: 12px;
    left: 0;
    padding: 2px 6px;	
			}
			
            img {
                max-width: 100%;
                height: auto;
                width: 100%;
            }
        }

        .post-meta {
            display: flex;
            justify-content: space-between;
            align-items: flex-start;

            .shareInside {
                ul {
                    display: flex;
                    flex-direction: row;
                    gap: 8px;
                    list-style: none;
                    margin: 0;

                    li {
                        background-color: rgba(255, 255, 255, .6);
                        padding: 4px 8px;
                        border-radius: 8px;

                        a {
                            font-size: 24px;
                            text-decoration: none;
                            color: #C47318;
                        }
                    }
                }
            }

            .post-data {
                p {
                    margin: 0;
                    font-size: 12px;
                }
            }
        }
    }
}

sidebar {
    display: flex;
    flex-direction: column;
    gap: 32px;

    #frmBuscaSidebar {
        display: flex;
        gap: 4px;

        input[type="text"] {
            border: 1px solid #C47318;
            font-size: 14px;
            padding: 0 4px;
            border-radius: 4px;
            width: -webkit-fill-available;
        }

        button[type="submit"] {
            width: 30px;
            height: 30px;
            background: #333;
            border-radius: 4px;
            color: #fff;
        }
    }
}

.featuredSidebar {
    .titDestaques {
        font-size: 16px;
        font-weight: 700;
        color: #333;
        padding-bottom: 2px;
        border-bottom: 1px solid #C47318;
        margin-bottom: 16px;
    }

    ul {
        margin: 0 0 0 16px;
        padding: 0;
        display: flex;
        flex-direction: column;
        gap: 8px;

        li {
            a {
                font-size: 14px;
                color: #777;
                text-decoration: none;
            }
        }
    }
}

.search-title {
    font-size: 18px;
    color: #C47318;
    font-weight: 700;
    padding: 0;
}

.search-results {
    border-bottom: 1px solid #ccc;
    padding: 32px 0;

    figure {
        max-width: 100%;
        overflow: hidden;
        height: 200px;
        display: flex;
        align-items: center;
        justify-content: center;

        img {
            width: 100%;
            max-width: 100%;
            height: auto;
        }
    }

    a {
        text-decoration: none;

        h2 {
            font-size: 18px;
            font-weight: 700;
            color: #333;
        }
    }

    h6 {
        font-size: 14px;
        margin-bottom: 16px;
    }
}

.anuncie {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #C47318;
    min-height: 150px;
    width: 100%;

    a {
        color: #fff;
        text-decoration: none;
        font-size: 24px;
        font-weight: 700;
    }
}

@media (min-width: 992px) {
    .offcanvas {
        visibility: visible;
        position: relative;
        background: #313B79;
        border: none;
        justify-content: end;
    }
}

@media (max-width: 992px) {
    .offcanvas-frm {
        background-color: var(--white) !important;
    }

    .offcanvas-menu {
        width: 250px !important;
        background-color: #333 !important;
    }

    .offcanvas-start-lg {
        top: 0;
        left: 0;
        border-right: 1px solid rgba(0, 0, 0, 0.2);
        transform: translateX(-100%);
    }

    .navbar-toggler {
        font-size: 2rem !important;
        font-weight: var(--font-bold);
        color: #fff;
        padding-right: 0;
        padding-left: 0;
    }

    .navbar {
        .container {
            justify-content: center;
        }
    }
}

@media (max-width: 480px) {
    #topbar {
        .container {
            justify-content: center;

            .icon-list {
                display: none
            }
        }
    }

    .post-primary {
        & .overlay {
            p {
                display: none;
            }
        }
    }
}

.wp-pagenavi {
    margin-top: 32px;
    color: #333;

    span.current {
        background-color: #C47318;
        color: #fff;
    }

    a {
        color: #333;
    }

    .extend{
        @media screen and (max-width: 768px) {
         display: none;   
        }
    }

    .pages{
        @media screen and (max-width: 768px) {
         display: block;
         margin-bottom: 12px;
         border: none;
        }
    }
    
    .last{
        @media screen and (max-width: 768px) {
         display: block;
         margin-top: 12px;
         border: none;
        }
    }
}